module TempToFile
  VERSION = '1.0.2'
end

class Tempfile
  def save!(options={suffix: '_save'})
    if not options[:name].nil?
      File.rename(self.to_path, options[:name]) rescue return nil
      return options[:name]
    elsif not options[:suffix].nil?
      File.rename(self.to_path, self.to_path + options[:suffix]) rescue return nil
      return self.to_path + options[:suffix]
    elsif not options[:prefix].nil?
      File.rename(self.to_path, options[:suffix] + self.to_path) rescue return nil
      return options[:suffix] + self.to_path
    end if options.is_a? Hash
    return nil
  end
end
